### Property

# Adw ViewSwitcherTitle:view-switcher-enabled

deprecated: 1.4

#### Declaration

    property view-switcher-enabled: gboolean [ read, write ]

#### Description [src]

Whether the view switcher is enabled.

If it is disabled, the title will be displayed instead. This allows to programmatically hide the view switcher even if it fits in the available space.

This can be used e.g. to ensure the view switcher is hidden below a certain window width, or any other constraint you find suitable.

Type:`gboolean`

Deprecated since: 1.4

See the migration guide

Default value | TRUE
Getter method | `adw_view_switcher_title_get_view_switcher_enabled()`
Setter method | `adw_view_switcher_title_set_view_switcher_enabled()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no